# vehicle_type.h File Reference

Types related to vehicles. More...

`#include "core/enum_type.hpp"`

Go to the source code of this file.

## Data Structures

struct | EnumPropsT< VehicleType >
struct | BaseVehicle

## Typedefs

typedef uint16 | VehicleID
typedef TinyEnumT< VehicleType > | VehicleTypeByte

## Enumerations

enum | VehicleType { VEH_TRAIN, VEH_ROAD, VEH_SHIP, VEH_AIRCRAFT, VEH_EFFECT, VEH_DISASTER, VEH_END, VEH_INVALID = 0xFF }
enum | { VPF_OPF = 0, VPF_NTP = 0, VPF_NPF = 1, VPF_YAPF = 2 }
| Pathfinding option states. More...
enum | DepotCommand { DEPOT_SERVICE = (1 << 0), DEPOT_MASS_SEND = (1 << 1), DEPOT_DONT_CANCEL = (1 << 2), DEPOT_LOCATE_HANGAR = (1 << 3), DEPOT_COMMAND_MASK = 0xF }
enum | { MAX_LENGTH_VEHICLE_NAME_BYTES = 31, MAX_LENGTH_VEHICLE_NAME_PIXELS = 150 }
enum | TrainAccelerationModel { TAM_ORIGINAL, TAM_REALISTIC }

## Functions

| DECLARE_POSTFIX_INCREMENT (VehicleType)

## Variables

static const VehicleID | INVALID_VEHICLE = 0xFFFF

## Detailed Description

Types related to vehicles.

Definition in file vehicle_type.h.

## Enumeration Type Documentation

anonymous enum

Pathfinding option states.

Enumerator:

  VPF_OPF | The Original PathFinder.
  VPF_NTP | New Train Pathfinder, replacing OPF for trains.
  VPF_NPF | New PathFinder.
  VPF_YAPF | Yet Another PathFinder.

Definition at line 42 of file vehicle_type.h.

anonymous enum

Enumerator:

  MAX_LENGTH_VEHICLE_NAME_BYTES | The maximum length of a vehicle name in bytes including ''.
  MAX_LENGTH_VEHICLE_NAME_PIXELS | The maximum length of a vehicle name in pixels.

Definition at line 59 of file vehicle_type.h.

enum DepotCommand

Enumerator:

  DEPOT_SERVICE | The vehicle will leave the depot right after arrival (serivce only).
  DEPOT_MASS_SEND | Tells that it's a mass send to depot command (type in VLW flag).
  DEPOT_DONT_CANCEL | Don't cancel current goto depot command if any.
  DEPOT_LOCATE_HANGAR | Find another airport if the target one lacks a hangar.

Definition at line 51 of file vehicle_type.h.